<h2>バージョンの管理</h2><?cs

if:admin.version.name ?>
 <form class="mod" id="modver" method="post">
  <fieldset>
   <legend>バージョンの編集:</legend>
   <div class="field">
    <label>バージョン名称:<br /> <input type="text" name="name" value="<?cs
      var:admin.version.name ?>" /></label>
   </div>
   <div class="field">
    <label>完了期限:<br />
     <input type="text" name="time" size="<?cs
       var:len(admin.date_hint) ?>" value="<?cs
       var:admin.version.time ?>" title="Format: <?cs var:admin.date_hint ?>" />
     <em>日付フォーマット: <?cs var:admin.date_hint ?></em>
    </label>
   </div>
   <div class="field">
    <fieldset class="iefix">
     <label for="description">バージョンについての説明 (<a tabindex="42" href="<?cs
       var:trac.href.wiki ?>/WikiFormatting">WikiFormatting</a> を使用できます):</label>
     <p><textarea id="description" name="description" class="wikitext" rows="6" cols="60"><?cs
       var:admin.version.description ?></textarea></p>
    </fieldset>
   </div>
   <script type="text/javascript" src="<?cs
     var:chrome.href ?>/common/js/wikitoolbar.js"></script>
   <div class="buttons">
    <input type="submit" name="cancel" value="取り消し">
    <input type="submit" name="save" value="保存">
   </div>
  </fieldset>
 </form><?cs

else ?>

 <form class="addnew" id="addver" method="post">
  <fieldset>
   <legend>バージョンの追加:</legend>
   <div class="field">
    <label>バージョン名称:<br /><input type="text" name="name" id="name" /></label>
   </div>
   <div class="field">
    <label>
     完了期限:<br />
     <input type="text" name="time"
       title="Format: <?cs var:admin.date_hint ?>" /><br />
     <em>日付フォーマット: <?cs var:admin.date_hint ?></em>
    </label>
   </div>
   <div class="buttons">
    <input type="submit" name="add" value="追加" />
   </div>
  </fieldset>
 </form><?cs

 if:len(admin.versions) ?><form method="POST">
  <table class="listing" id="verlist">
   <thead>
    <tr><th class="sel">&nbsp;</th><th>名称</th>
    <th>完了期限</th><th>デフォルト</th></tr>
   </thead><tbody><?cs
   each:ver = admin.versions ?>
   <tr>
    <td><input type="checkbox" name="sel" value="<?cs var:ver.name ?>" /></td>
    <td><a href="<?cs var:ver.href ?>"><?cs var:ver.name ?></a></td>
    <td><?cs var:ver.time ?></td>
    <td class="default"><input type="radio" name="default" value="<?cs
      var:ver.name ?>"<?cs
      if:ver.is_default ?> checked="checked" <?cs /if ?>></td>
   </tr><?cs
   /each ?></tbody>
  </table>
  <div class="buttons">
   <input type="submit" name="remove" value="選択した項目を削除" />
   <input type="submit" name="apply" value="更新" />
  </div>
  <p class="help">You can remove all items from this list to completely hide
  this field from the user interface.</p>
 </form><?cs
 else ?>
  <p class="help">As long as you don't add any items to the list, this field
  will remain completely hidden from the user interface.</p><?cs
 /if ?><?cs

/if ?>
